function [c,r2,yCalc] = ShammasPadefit(xData,yData,pwrP,pwrQ)
%FOURIERFIT Summary of this function goes here
%   Detailed explanation goes here
  n = length(xData);
  orderP = length(pwrP);
  orderQ = length(pwrQ);
  X = [1+zeros(n,1)];
  for j=1:orderP
    X = [X xData.^pwrP(j)];
  end
  for j=1:orderQ
    X = [X -yData.*xData.^pwrQ(j)];
  end  
  [c] = regress(yData,X);
  SSE = 0;  
  ymean = mean(yData);
  SStot = sum((yData - ymean).^2);
  yCalc = zeros(n,1);
  for i=1:n
    Px = c(1);
    for j=1:orderP
      Px = Px + c(j+1)*xData(i)^pwrP(j);
    end
    Qx = 1;
    k=1+orderP;
    for j=1:orderQ
      Qx = Qx + c(k+j)*xData(i)^pwrQ(j);
    end
    yCalc(i) = Px / Qx;
    SSE = SSE + (yCalc(i) - yData(i))^2;
  end
  r2 = 1 - SSE / SStot;
end

