function [c,r2,yCalc,orderP,orderQ] = bestpadefit(xData,yData,maxP,maxQ)
% BESTPADEFIT performs best fit for a Pade pollynomial.
  n = length(xData);
  bestR2 = -1;
  for orderP=2:maxP
    for orderQ=2:maxQ
      X = [1+zeros(n,1)];
      for j=1:orderP
        X = [X xData.^j];
      end
      for j=1:orderQ
        X = [X -yData.*xData.^j];
      end  
      [c] = regress(yData,X);
      SSE = 0;  
      ymean = mean(yData);
      SStot = sum((yData - ymean).^2);
      yCalc = zeros(n,1);
      for i=1:n
        Px = c(1);
        for j=1:orderP
          Px = Px + c(j+1)*xData(i)^j;
        end
        Qx = 1;
        k=1+orderP;
        for j=1:orderQ
          Qx = Qx + c(k+j)*xData(i)^j;
        end
        yCalc(i) = Px / Qx;
        SSE = SSE + (yCalc(i) - yData(i))^2;
      end
      r2 = 1 - SSE / SStot;

      if r2 > bestR2
        bestR2 = r2;
        bestP = orderP;
        bestQ = orderQ;
        bestYCalc = yCalc;
        bestCoeff = c;
      end
    end
  end

  c = bestCoeff;
  r2 = bestR2;
  orderP = bestP;
  orderQ = bestQ;
  yCalc = bestYCalc;
end

