function [bestX,bestFx] = haltonRandomSearchPade(fx,LbP,UbP,LbQ,UbQ,MaxIters)
%RANDOMSEARCH Summary of this function goes here
%   Detailed explanation goes here
  bestFx = 1e99;
  nP = length(LbP);
  nQ = length(LbQ);
  bestX = 1e+99+zeros(nP+nQ,1);

  for irun=1:2
    % set up halton sequences
    pP = haltonset(nP,'Skip',1e3,'Leap',1e2);
    pP = scramble(pP,'RR2');
    randoP = net(pP,MaxIters);
    pQ = haltonset(nQ,'Skip',1e3,'Leap',1e2);
    pQ = scramble(pQ,'RR2');
    randoQ = flip(net(pQ,MaxIters));  
    iter = 0;
    while iter < MaxIters
      iter = iter + 1;
      for i=1:nP
        pwrP(i) = LbP(i) + (UbP(i) - LbP(i))*randoP(iter,i);
      end
      for i=1:nQ
        pwrQ(i) = LbQ(i) + (UbQ(i) - LbQ(i))*randoQ(iter,i);
      end

      pwr = [pwrP pwrQ];
      f = fx(pwr);
      if f < bestFx
        bestFx = f;
        bestX = pwr;
        k = iter + (irun-1) *MaxIters;
        fprintf("%7i: Fx = %e, X=[", k, bestFx);
        fprintf("%f, ", pwr)
        fprintf("]\n");
      end
    end

    bestXQ = bestX(1:nQ);
    bestXP = bestX(1+nQ:end);
    delta = 0.15;
    LbP = bestXP - delta;
    UbP = bestXP + delta;
    LbQ = bestXQ - delta;
    UbQ = bestXQ+ delta;  
    MaxIters = fix(MaxIters/2);
  end
end

