function SSE = quantShammasPadePoly(pwr)
  global xData yData yCalc glbRsqr QSPcoeff
  global orderP orderQ

  n = length(xData);
  order = length(pwr);
  SSE = 0;
  X = [1+zeros(n,1)];
  for j=1:orderP
    X = [X xData.^pwr(j)];
  end
  for j=1:orderQ
     k = orderP + j;
     X = [X -yData.*xData.^pwr(k)];
  end
  [QSPcoeff] = regress(yData,X);
  SSE = 0;  
  SStot = 0;
  ymean = mean(yData);
  SStot = sum((yData - ymean).^2);
  yCalc = zeros(n,1);
  for i=1:n
    sumP = QSPcoeff(1);
    for j=1:orderP
      sumP = sumP + QSPcoeff(j+1)*xData(i)^pwr(j);
    end
    sumQ = 1;
    for j=1:orderQ
      k = orderP + j;
      sumQ = sumQ - QSPcoeff(k+1)*yData(i)*xData(i)^pwr(k);
    end
    yCalc(i) = sumP / sumQ;
    SSE = SSE + (yCalc(i) - yData(i))^2;
  end
  glbRsqr = 1 - SSE / SStot;
end